<mat-card>
    <h3>Filter</h3>

    <form [formGroup]="filtersForm">
        <mat-form-field>
            <mat-label>Serial Number</mat-label>
            <input matInput type="text" formControlName="serialNumber">
        </mat-form-field>
        <mat-form-field>
            <mat-label>Brand</mat-label>
            <input matInput type="text" formControlName="brand">
        </mat-form-field>
        <mat-form-field>
            <mat-label>Model</mat-label>
            <input matInput type="text" formControlName="model">
        </mat-form-field>
        <mat-form-field>
            <mat-label>Date Bought</mat-label>
            <input matInput [matDatepicker]="picker" formControlName="dateBought" readonly>
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker-toggle matSuffix (click)="clearDate()">
                <mat-icon matDatepickerToggleIcon>clear</mat-icon>
            </mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
        </mat-form-field>
        <mat-form-field>
            <mat-label>Status</mat-label>
            <input matInput type="text" formControlName="status">
        </mat-form-field>
    </form>
</mat-card>